> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/landing-pages/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get landing page info GET https://api.mailchimp.com/3.0/landing-pages/{page_id} Get information about a specific page. Reference: https://mailchimp.com/developer/marketing/api/landing-pages/get ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `page_id` (string, required) — The unique id for the page. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 Landing Pages Instance - `_links` (list of LandingPageLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `created_at` (datetime, optional) — The time this landing page was created. - `created_by_source` (string, optional) — Created by mobile or web - `description` (string, optional) — The description of this landing page. - `id` (string, optional) — A string that uniquely identifies this landing page. - `list_id` (string, optional) — The list's ID associated with this landing page. - `name` (string, optional) — The name of this landing page. - `published_at` (datetime, optional) — The time this landing page was published. - `status` (enum, optional) — The status of this landing page. - Allowed values: `published`, `unpublished`, `draft` - `store_id` (string, optional) — The ID of the store associated with this landing page. - `template_id` (integer, optional) — The template_id of this landing page. - `title` (string, optional) — The title of this landing page seen in the browser's title bar. - `tracking` (LandingPageTracking, optional) — The tracking settings applied to this landing page. - `unpublished_at` (datetime, optional) — The time this landing page was unpublished. - `updated_at` (datetime, optional) — The time this landing page was updated at. - `url` (string, optional) — The url of the published landing page. - `web_id` (integer, optional) — The ID used in the Mailchimp web application. ## Types ### LandingPageLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### LandingPageTracking The tracking settings applied to this landing page. - `enable_restricted_data_processing` (boolean, optional) — Google offers restricted data processing in connection with the California Consumer Privacy Act (CCPA) to restrict how Google uses certain identifiers and other data processed in the provision of its services. You can learn more about Google's restricted data processing within Google Ads [here](https://privacy.google.com/businesses/rdp/). - `track_with_mailchimp` (boolean, optional) — Use cookies to track unique visitors and calculate overall conversion rate. Learn more [here](https://mailchimp.com/help/use-track-mailchimp/). ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "created_at": "2024-01-15T09:30:00Z", "created_by_source": "string", "description": "string", "id": "030092c2e1f0", "list_id": "fde02ad86b", "name": "string", "published_at": "2024-01-15T09:30:00Z", "status": "published", "store_id": "string", "template_id": 1, "title": "string", "tracking": { "enable_restricted_data_processing": true, "track_with_mailchimp": true }, "unpublished_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "url": "string", "web_id": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/landing-pages/page_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/landing-pages/page_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/landing-pages/page_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/landing-pages/page_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/landing-pages/page_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/landing-pages/page_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/landing-pages/page_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/landing-pages/page_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.